| OpenCV 4.3.0 Open Source Computer Vision

Classes | Public Types | Public Member Functions | List of all members
cv::detail::DpSeamFinder Class Reference
Images stitching » Seam Estimation

`#include <opencv2/stitching/detail/seam_finders.hpp>`

Inheritance diagram for cv::detail::DpSeamFinder:

## Public Types
enum | CostFunction { COLOR, COLOR_GRAD }
Public Types inherited from cv::detail::SeamFinder
enum | { NO, VORONOI_SEAM, DP_SEAM }

## Public Member Functions
| DpSeamFinder (CostFunction costFunc=COLOR)
| DpSeamFinder (String costFunc)
CostFunction | costFunction () const
virtual void | find (const std::vector< UMat > &src, const std::vector< Point > &corners, std::vector< UMat > &masks) CV_OVERRIDE
| Estimates seams. More...
void | setCostFunction (CostFunction val)
void | setCostFunction (String val)
Public Member Functions inherited from cv::detail::SeamFinder
virtual | ~SeamFinder ()

## Additional Inherited Members
Static Public Member Functions inherited from cv::detail::SeamFinder
static Ptr< SeamFinder > | createDefault (int type)

## Member Enumeration Documentation

## ◆ CostFunction

enum cv::detail::DpSeamFinder::CostFunction

Enumerator
COLOR |
COLOR_GRAD |

## Constructor & Destructor Documentation

## ◆ DpSeamFinder() [1/2]

cv::detail::DpSeamFinder::DpSeamFinder | ( | CostFunction | costFunc = `COLOR` | ) |

Python:
| <detail_DpSeamFinder object> | = | cv.detail_DpSeamFinder( | costFunc | )

## ◆ DpSeamFinder() [2/2]

cv::detail::DpSeamFinder::DpSeamFinder | ( | String | costFunc | ) |

Python:
| <detail_DpSeamFinder object> | = | cv.detail_DpSeamFinder( | costFunc | )

## Member Function Documentation

## ◆ costFunction()

CostFunction cv::detail::DpSeamFinder::costFunction | ( |  | ) | const
| inline

## ◆ find()

virtual void cv::detail::DpSeamFinder::find | ( | const std::vector< UMat > & | src,
|  | const std::vector< Point > & | corners,
|  | std::vector< UMat > & | masks
| ) |  |
| virtual

Estimates seams.

Parameters

  src | Source images
  corners | Source image top-left corners
  masks | Source image masks to update

Implements cv::detail::SeamFinder.

## ◆ setCostFunction() [1/2]

void cv::detail::DpSeamFinder::setCostFunction | ( | CostFunction | val | ) |
| inline

Python:
| None | = | cv.detail_DpSeamFinder.setCostFunction( | val | )

## ◆ setCostFunction() [2/2]

void cv::detail::DpSeamFinder::setCostFunction | ( | String | val | ) |

Python:
| None | = | cv.detail_DpSeamFinder.setCostFunction( | val | )

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/seam_finders.hpp